Jump to content


.NEt 3.0 and x64


  • Please log in to reply
3 replies to this topic

#1 Guest_mybrains_*

Guest_mybrains_*
  • Guests

Posted 19 August 2007 - 10:48 PM

I cannot see that ncache is directly supporting .NET3.0 especially under x64

While we have heard the CLR is the same , some questions have been raised that .NET 3.0 contains a bug fixed NET 2.0 rather than an exact copy of 2.0 (so in essence 2.1). This may cause some issue.

What is the testing schedule for ncache to certify .NET3.0 x64 operation.

#2 Guest_Paul_*

Guest_Paul_*
  • Guests

Posted 30 August 2007 - 09:04 AM

NCache is not tested with .NET 3.0 but I beleive it should work with 3.0 because that is backward compatible with .NET 2.0. And, yes you are right that .NET 3.0 is just an extension of .NET 2.0 so NCache should work without any problem.

Let me know if you have any questions.

#3 Guest_mybrains_*

Guest_mybrains_*
  • Guests

Posted 05 December 2007 - 07:54 PM

Hello Paul,

Thank you for confirming the product is not tested with winfx .NET 3.0 (x64)

The information that v2 and 3 are 'the same' is not entirely accurate. I read .NET 3.0 aligns with .NET 2.0, not the bug fixed .NET 2.0 SP1. Never trust the marketing blurb !

In any case, the only way compatibility could be assured is a propper test cycle certifying compatibility.

I look forward to you certifying .net 3.0 x64


Kindest Regards
Peter Curraey
QA Manager
Chandler Macleod

#4 Guest_Paul_*

Guest_Paul_*
  • Guests

Posted 12 December 2007 - 10:20 AM

I agree with you and we are planning to do a .NET compatibilty test with NCache 3.2 in couple of weeks. Since NCache 3.2 is our latest version we cannot run this test on NCache 3.1. I would recommend you to upgrade to the latest version 3.2 because that has lot more features and performance improvements than the 3.1 version.

Thanks,




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users